/cosmos/staking/v1beta1/validators/{validator_addr}
GET
Retrieves validator information for the given validator address.
Path Parameters
validator_addrstringrequired
Validator address to query.Responses
Validator info. Contains total bond shares and coin exchange rate. Slashing reduces the exchange rate, allowing future undelegations to be calculated accurately without iterating through all delegators. When coins are delegated to this validator, the delegation receives bond shares equal to the delegated coin amount divided by the current exchange rate. Voting power is calculated by multiplying total bonded shares by the exchange rate.
operator_addressstring
Validator operator address (bech32-encoded in JSON).Any contains an arbitrary serialized protocol buffer message along with aURL that describes the type of the serialized message.Protobuf library provides support to pack/unpack Any values in the formof utility functions or additional generated methods of the Any type.Example 1: Pack and unpack a message in C++. Foo foo = ...; Any any; any.PackFrom(foo); ... if (any.UnpackTo(&foo)) { ... }Example 2: Pack and unpack a message in Java. Foo foo = ...; Any any = Any.pack(foo); ... if (any.is(Foo.class)) { foo = any.unpack(Foo.class); } // or ... if (any.isSameTypeAs(Foo.getDefaultInstance())) { foo = any.unpack(Foo.getDefaultInstance()); }Example 3: Pack and unpack a message in Python. foo = Foo(...) any = Any() any.Pack(foo) ... if any.Is(Foo.DESCRIPTOR): any.Unpack(foo) ...Example 4: Pack and unpack a message in Go foo := &pb.Foo{...} any, err := anypb.New(foo) if err != nil { ... } ... foo := &pb.Foo{} if err := any.UnmarshalTo(foo); err != nil { ... }The pack methods provided by protobuf library will by default use'type.googleapis.com/full.type.name' as the type URL and the unpackmethods only use the fully qualified type name after the last '/'in the type URL, for example "foo.bar.com/x/y.z" will yield typename "y.z".JSONThe JSON representation of an Any value uses the regularrepresentation of the deserialized, embedded message, with anadditional field @type which contains the type URL. Example: package google.profile; message Person { string first_name = 1; string last_name = 2; } { "@type": "type.googleapis.com/google.profile.Person", "firstName": <string>, "lastName": <string> }If the embedded message type is well-known and has a custom JSONrepresentation, that representation will be embedded adding a fieldvalue which holds the custom JSON in addition to the @typefield. Example (for message [google.protobuf.Duration][]): { "@type": "type.googleapis.com/google.protobuf.Duration", "value": "1.212s" }type_urlstring
A URL/resource name that uniquely identifies the type of the serializedprotocol buffer message. This string must contain at leastone "/" character. The last segment of the URL's path must representthe fully qualified name of the type (as inpath/google.protobuf.Duration). The name should be in a canonical form(e.g., leading "." is not accepted).In practice, teams usually precompile into the binary all types that theyexpect it to use in the context of Any. However, for URLs which use thescheme http, https, or no scheme, one can optionally set up a typeserver that maps type URLs to message definitions as follows:- If no scheme is provided,
httpsis assumed. - An HTTP GET on the URL must yield a [google.protobuf.Type][]
- Applications are allowed to cache lookup results based on the
http, https (or the empty scheme) might beused with implementation specific semantics.valuestring
Must be a valid serialized protocol buffer of the above specified type.jailedboolean
Whether the validator is jailed while in bonded status.statusstring
Validator status (bonded/unbonding/unbonded).tokensstring
tokens define the delegated tokens (incl. self-delegation).delegator_sharesstring
Total shares issued to the validator's delegators.Descriptive information about the validator.
monikerstring
Human-readable name of the validator.identitystring
identity defines an optional identity signature (ex. UPort or Keybase).websitestring
website defines an optional website link.security_contactstring
security_contact defines an optional email for security contact.detailsstring
details define other optional details.unbonding_heightstring
If unbonding, the block height at which the validator started unbonding.unbonding_timestring
If unbonding, the minimum time for the validator's unbonding to complete.commission defines the commission parameters.
Initial commission rate to use when creating the validator.
ratestring
rate is the commission rate charged to delegators, as a fraction.max_ratestring
Maximum commission rate the validator can charge (as a fraction).max_change_ratestring
Maximum daily increase rate of the validator commission (as a fraction).update_timestring
update_time is the last time the commission rate was changed.min_self_delegationstring
Minimum self-delegation amount declared by the validator.unbonding_on_hold_ref_countstring
unbonding_idsarray
codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "An unexpected error response."}
cURL
curl -X GET 'https://rest-hippo-mainnet.nodit.io/cosmos/staking/v1beta1/validators/{validator_addr}' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo'